Type to search.

Create a behavioral analytics collection event

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Path parameters

collection_name string required

The name of the behavioral analytics collection.

event_type enum required

The analytics event type.

Values: page_view search search_click

Query parameters

debug boolean

Whether the response type has to include more details

Request body

Type: object

Responses

application/json
accepted boolean required
event object
202

Event has been accepted and will be ingested.

400

Either the event type is unknown or the event payload contains invalid data.

404

Analytics collection does not exist.